package com.tofly.spire.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 设备档案管理
 * @TableName TF_DEVICE_ARCHIVE_MANAGE
 */
@TableName(value ="TF_DEVICE_ARCHIVE_MANAGE")
public class TfDeviceArchiveManage implements Serializable {
    /**
     * 
     */
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 所属水厂ID
     */
    private Long waterId;

    /**
     * 设备编号
     */
    private String code;

    /**
     * 设备名称
     */
    private String name;

    /**
     * 类型（1水厂,2管网）
     */
    private String type;

    /**
     * 制造日期
     */
    private Date makeDate;

    /**
     * 设备类型 53400
     */
    private String deviceType;

    /**
     * 制造厂家
     */
    private String manufacturer;

    /**
     * 型号规格
     */
    private String modelSpecification;

    /**
     * 状态（0故障,1运行中,2空闲,3检修中）
     */
    private String status;

    /**
     * 经度
     */
    private BigDecimal longitude;

    /**
     * 纬度
     */
    private BigDecimal latitude;

    /**
     * 负责人
     */
    private Long leader;

    /**
     * 联系电话
     */
    private String phone;

    /**
     * 描述
     */
    private String describe;

    /**
     * 
     */
    private Long createUser;

    /**
     * 
     */
    private Date createTime;

    /**
     * 地址
     */
    private String address;

    /**
     * 视点Json对象
     */
    private String viewJson;

    /**
     * 口径(mm),15,20,25,40,50,80,100,200
     */
    private String bore;

    /**
     * 压力设备id(归属)
     */
    private Long pressureDeviceId;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    public Long getId() {
        return id;
    }

    /**
     * 
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 所属水厂ID
     */
    public Long getWaterId() {
        return waterId;
    }

    /**
     * 所属水厂ID
     */
    public void setWaterId(Long waterId) {
        this.waterId = waterId;
    }

    /**
     * 设备编号
     */
    public String getCode() {
        return code;
    }

    /**
     * 设备编号
     */
    public void setCode(String code) {
        this.code = code;
    }

    /**
     * 设备名称
     */
    public String getName() {
        return name;
    }

    /**
     * 设备名称
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * 类型（1水厂,2管网）
     */
    public String getType() {
        return type;
    }

    /**
     * 类型（1水厂,2管网）
     */
    public void setType(String type) {
        this.type = type;
    }

    /**
     * 制造日期
     */
    public Date getMakeDate() {
        return makeDate;
    }

    /**
     * 制造日期
     */
    public void setMakeDate(Date makeDate) {
        this.makeDate = makeDate;
    }

    /**
     * 设备类型 53400
     */
    public String getDeviceType() {
        return deviceType;
    }

    /**
     * 设备类型 53400
     */
    public void setDeviceType(String deviceType) {
        this.deviceType = deviceType;
    }

    /**
     * 制造厂家
     */
    public String getManufacturer() {
        return manufacturer;
    }

    /**
     * 制造厂家
     */
    public void setManufacturer(String manufacturer) {
        this.manufacturer = manufacturer;
    }

    /**
     * 型号规格
     */
    public String getModelSpecification() {
        return modelSpecification;
    }

    /**
     * 型号规格
     */
    public void setModelSpecification(String modelSpecification) {
        this.modelSpecification = modelSpecification;
    }

    /**
     * 状态（0故障,1运行中,2空闲,3检修中）
     */
    public String getStatus() {
        return status;
    }

    /**
     * 状态（1正常;0离线;2报警）
     */
    public void setStatus(String status) {
        this.status = status;
    }

    /**
     * 经度
     */
    public BigDecimal getLongitude() {
        return longitude;
    }

    /**
     * 经度
     */
    public void setLongitude(BigDecimal longitude) {
        this.longitude = longitude;
    }

    /**
     * 纬度
     */
    public BigDecimal getLatitude() {
        return latitude;
    }

    /**
     * 纬度
     */
    public void setLatitude(BigDecimal latitude) {
        this.latitude = latitude;
    }

    /**
     * 负责人
     */
    public Long getLeader() {
        return leader;
    }

    /**
     * 负责人
     */
    public void setLeader(Long leader) {
        this.leader = leader;
    }

    /**
     * 联系电话
     */
    public String getPhone() {
        return phone;
    }

    /**
     * 联系电话
     */
    public void setPhone(String phone) {
        this.phone = phone;
    }

    /**
     * 描述
     */
    public String getDescribe() {
        return describe;
    }

    /**
     * 描述
     */
    public void setDescribe(String describe) {
        this.describe = describe;
    }

    /**
     * 
     */
    public Long getCreateUser() {
        return createUser;
    }

    /**
     * 
     */
    public void setCreateUser(Long createUser) {
        this.createUser = createUser;
    }

    /**
     * 
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 地址
     */
    public String getAddress() {
        return address;
    }

    /**
     * 地址
     */
    public void setAddress(String address) {
        this.address = address;
    }

    /**
     * 视点Json对象
     */
    public String getViewJson() {
        return viewJson;
    }

    /**
     * 视点Json对象
     */
    public void setViewJson(String viewJson) {
        this.viewJson = viewJson;
    }

    /**
     * 口径(mm),15,20,25,40,50,80,100,200
     */
    public String getBore() {
        return bore;
    }

    /**
     * 口径(mm),15,20,25,40,50,80,100,200
     */
    public void setBore(String bore) {
        this.bore = bore;
    }

    /**
     * 压力设备id(归属)
     */
    public Long getPressureDeviceId() {
        return pressureDeviceId;
    }

    /**
     * 压力设备id(归属)
     */
    public void setPressureDeviceId(Long pressureDeviceId) {
        this.pressureDeviceId = pressureDeviceId;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        TfDeviceArchiveManage other = (TfDeviceArchiveManage) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getWaterId() == null ? other.getWaterId() == null : this.getWaterId().equals(other.getWaterId()))
            && (this.getCode() == null ? other.getCode() == null : this.getCode().equals(other.getCode()))
            && (this.getName() == null ? other.getName() == null : this.getName().equals(other.getName()))
            && (this.getType() == null ? other.getType() == null : this.getType().equals(other.getType()))
            && (this.getMakeDate() == null ? other.getMakeDate() == null : this.getMakeDate().equals(other.getMakeDate()))
            && (this.getDeviceType() == null ? other.getDeviceType() == null : this.getDeviceType().equals(other.getDeviceType()))
            && (this.getManufacturer() == null ? other.getManufacturer() == null : this.getManufacturer().equals(other.getManufacturer()))
            && (this.getModelSpecification() == null ? other.getModelSpecification() == null : this.getModelSpecification().equals(other.getModelSpecification()))
            && (this.getStatus() == null ? other.getStatus() == null : this.getStatus().equals(other.getStatus()))
            && (this.getLongitude() == null ? other.getLongitude() == null : this.getLongitude().equals(other.getLongitude()))
            && (this.getLatitude() == null ? other.getLatitude() == null : this.getLatitude().equals(other.getLatitude()))
            && (this.getLeader() == null ? other.getLeader() == null : this.getLeader().equals(other.getLeader()))
            && (this.getPhone() == null ? other.getPhone() == null : this.getPhone().equals(other.getPhone()))
            && (this.getDescribe() == null ? other.getDescribe() == null : this.getDescribe().equals(other.getDescribe()))
            && (this.getCreateUser() == null ? other.getCreateUser() == null : this.getCreateUser().equals(other.getCreateUser()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getAddress() == null ? other.getAddress() == null : this.getAddress().equals(other.getAddress()))
            && (this.getViewJson() == null ? other.getViewJson() == null : this.getViewJson().equals(other.getViewJson()))
            && (this.getBore() == null ? other.getBore() == null : this.getBore().equals(other.getBore()))
            && (this.getPressureDeviceId() == null ? other.getPressureDeviceId() == null : this.getPressureDeviceId().equals(other.getPressureDeviceId()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getWaterId() == null) ? 0 : getWaterId().hashCode());
        result = prime * result + ((getCode() == null) ? 0 : getCode().hashCode());
        result = prime * result + ((getName() == null) ? 0 : getName().hashCode());
        result = prime * result + ((getType() == null) ? 0 : getType().hashCode());
        result = prime * result + ((getMakeDate() == null) ? 0 : getMakeDate().hashCode());
        result = prime * result + ((getDeviceType() == null) ? 0 : getDeviceType().hashCode());
        result = prime * result + ((getManufacturer() == null) ? 0 : getManufacturer().hashCode());
        result = prime * result + ((getModelSpecification() == null) ? 0 : getModelSpecification().hashCode());
        result = prime * result + ((getStatus() == null) ? 0 : getStatus().hashCode());
        result = prime * result + ((getLongitude() == null) ? 0 : getLongitude().hashCode());
        result = prime * result + ((getLatitude() == null) ? 0 : getLatitude().hashCode());
        result = prime * result + ((getLeader() == null) ? 0 : getLeader().hashCode());
        result = prime * result + ((getPhone() == null) ? 0 : getPhone().hashCode());
        result = prime * result + ((getDescribe() == null) ? 0 : getDescribe().hashCode());
        result = prime * result + ((getCreateUser() == null) ? 0 : getCreateUser().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getAddress() == null) ? 0 : getAddress().hashCode());
        result = prime * result + ((getViewJson() == null) ? 0 : getViewJson().hashCode());
        result = prime * result + ((getBore() == null) ? 0 : getBore().hashCode());
        result = prime * result + ((getPressureDeviceId() == null) ? 0 : getPressureDeviceId().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", waterId=").append(waterId);
        sb.append(", code=").append(code);
        sb.append(", name=").append(name);
        sb.append(", type=").append(type);
        sb.append(", makeDate=").append(makeDate);
        sb.append(", deviceType=").append(deviceType);
        sb.append(", manufacturer=").append(manufacturer);
        sb.append(", modelSpecification=").append(modelSpecification);
        sb.append(", status=").append(status);
        sb.append(", longitude=").append(longitude);
        sb.append(", latitude=").append(latitude);
        sb.append(", leader=").append(leader);
        sb.append(", phone=").append(phone);
        sb.append(", describe=").append(describe);
        sb.append(", createUser=").append(createUser);
        sb.append(", createTime=").append(createTime);
        sb.append(", address=").append(address);
        sb.append(", viewJson=").append(viewJson);
        sb.append(", bore=").append(bore);
        sb.append(", pressureDeviceId=").append(pressureDeviceId);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}